Browse Source

create template for saga-gis 7.9.0

master
omse 4 months ago
commit
be67662fd3
  1. 1
      saga-gis/README
  2. 30
      saga-gis/template

1
saga-gis/README

@ -0,0 +1 @@
This template works ok on the master branch of the official void-packages repository, but if it is going to be built to get the libraries to work with qgis, it's best to merge this template into the qgis-deps branch of https://gitlab.com/xN--nx-0ka/void-packages-qgis after building qgis for void linux.

30
saga-gis/template

@ -0,0 +1,30 @@
# Template file for 'SAGA-GIS'
pkgname=saga-gis
version=7.9.0
revision=1
major=7
wrksrc="saga-${version}"
build_style=gnu-configure
hostmakedepends="automake autoconf libtool pkg-config"
makedepends="wxWidgets-devel proj-devel libgdal-tools libgdal-devel jasper-devel tiff-devel unixodbc-devel libqhull-devel Haru-devel libopencv-devel vigra-devel postgresql-libs-devel libcurl-devel swig python3-devel hdf5-devel"
depends="proj jasper unixodbc"
short_desc="A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis."
maintainer="Oscar Serrano <omse@dysfin.is>"
license="GPL3"
homepage="http://www.saga-gis.org/"
changelog="https://raw.githubusercontent.com/tmux/tmux/master/CHANGES"
distfiles="https://sourceforge.net/projects/saga-gis/files/SAGA%20-%20${major}/SAGA%20-%20${version}/saga-${version}.tar.gz"
checksum=a1bdb725b42707134ed5003ccd484b8e0a3960147dd29c26f094fad9bb0f05d8
pre_configure() {
autoreconf -fi
}
do_configure() {
./configure --prefix /usr \
--enable-shared \
--enable-python PYTHON_VERSION=3 PYTHON=/usr/bin/python \
--with-postgresql=/usr/bin/pg-config \
--with-gdal=/usr/bin/gdal-config
}
Loading…
Cancel
Save